# Method: photos.list

- [HTTP request](https://developers.google.com/streetview/publish/reference/rest/v1/photos/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/streetview/publish/reference/rest/v1/photos/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/streetview/publish/reference/rest/v1/photos/list#body.request_body)
- [Response body](https://developers.google.com/streetview/publish/reference/rest/v1/photos/list#body.response_body)
  - [JSON representation](https://developers.google.com/streetview/publish/reference/rest/v1/photos/list#body.ListPhotosResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/streetview/publish/reference/rest/v1/photos/list#body.aspect)
- [Try it!](https://developers.google.com/streetview/publish/reference/rest/v1/photos/list#try-it)

Lists all the `https://developers.google.com/streetview/publish/reference/rest/v1/photo#Photo` that belong to the user.
> Note: Recently created photos that are still being indexed are not returned in the response.

### HTTP request

`GET https://streetviewpublish.googleapis.com/v1/photos`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `view` | ``enum (`https://developers.google.com/streetview/publish/reference/rest/v1/PhotoView`)`` Required. Specifies if a download URL for the photos bytes should be returned in the Photos response. |
| `pageSize` | `integer` Optional. The maximum number of photos to return. `pageSize` must be non-negative. If `pageSize` is zero or is not provided, the default page size of 100 is used. The number of photos returned in the response may be less than `pageSize` if the number of photos that belong to the user is less than `pageSize`. |
| `pageToken` | `string` Optional. The `https://developers.google.com/streetview/publish/reference/rest/v1/photos/list#body.ListPhotosResponse.FIELDS.next_page_token` value returned from a previous `https://developers.google.com/streetview/publish/reference/rest/v1/photos/list#google.streetview.publish.v1.StreetViewPublishService.ListPhotos` request, if any. |
| `filter` | `string` Optional. The filter expression. For example: `placeId=ChIJj61dQgK6j4AR4GeTYWZsKWw`. The filters supported are: `placeId`, `min_latitude`, `max_latitude`, `min_longitude`, `max_longitude`. See <https://google.aip.dev/160> for more information. |
| `languageCode` | `string` Optional. The BCP-47 language code, such as "en-US" or "sr-Latn". For more information, see <http://www.unicode.org/reports/tr35/#Unicode_locale_identifier>. If languageCode is unspecified, the user's language preference for Google services is used. |

### Request body

The request body must be empty.

### Response body

Response to list all photos that belong to a user.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "photos": [ { object (`https://developers.google.com/streetview/publish/reference/rest/v1/photo#Photo`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `photos[]` | ``object (`https://developers.google.com/streetview/publish/reference/rest/v1/photo#Photo`)`` List of photos. The `https://developers.google.com/streetview/publish/reference/rest/v1/photos/list#body.QUERY_PARAMETERS.page_size` field in the request determines the number of items returned. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/streetviewpublish`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).